OBJ=main.o entry.o exec.o
TARGET=app
CROSS_COMPILE=/home/ptitcois/Programmation/wemlinux/buildroot-2015.11.1/output/host/usr/bin/x86_64-buildroot-linux-uclibc-
CC=$(CROSS_COMPILE)gcc
CFLAGS= -g
LDFLAGS=   -lc -ljson-c -lm


all: $(TARGET) Makefile

$(TARGET): $(OBJ)
	$(CC) $(OBJ)  -o $@ $(LDFLAGS) 
	
%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $< $(CFLAGS)
	
clean:
	rm $(OBJ) $(TARGET) || true
